/*
 * 2D Game Engine
 * Main.cpp: App entry point
 * Based on pikuma.com 2D game engine in C++ and Lua course
 * Copyright (c) 2021 986-Studio. All Right Reserved
 *
 * Created by Manoël Trapier on 09/02/2021.
 */

#include <Logger.h>
#include <Game.h>

int main(int argc, char *argv[])
{
    Game game;

    Logger::Info("Booting up Game Engine version %s", VERSION);

    game.Initialize();
    game.Run();
    game.Destroy();

    return 0;
}
